[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TFPHashObjectList.ForEachCall

Call a procedure for each object in the list

## Declaration

Source position: line 0

`public procedure TFPHashObjectList.ForEachCall(`
`proc2call: TObjectListCallback;`
`arg: pointer`
`); procedure TFPHashObjectList.ForEachCall(`
`proc2call: TObjectListStaticCallback;`
`arg: pointer`
`);`

## Arguments

`proc2call` |  | Callback procedure
`arg` |  | Additional argument passed to proc2call

## Arguments

`proc2call` |  | Callback procedure
`arg` |  | Additional argument passed to proc2call

## Description

ForEachCall loops over the objects in the list and calls proc2call, passing it the object and arg.

Documentation generated on: Feb 26 2014